Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php-ssh2: new aport

From: Raman Shukhau <roman.shuhov_at_gmail.com>
Date: Sat, 5 Sep 2015 18:31:15 +0000

From: roman-shuhov <roman.shuhov_at_gmail.com>

http://pecl.php.net/package/ssh2
SSH2 extension for PHP
---
 testing/php-ssh2/APKBUILD | 33 +++++++++++++++++++++++++++++++++
 testing/php-ssh2/ssh2.ini |  1 +
 2 files changed, 34 insertions(+)
 create mode 100644 testing/php-ssh2/APKBUILD
 create mode 100644 testing/php-ssh2/ssh2.ini
diff --git a/testing/php-ssh2/APKBUILD b/testing/php-ssh2/APKBUILD
new file mode 100644
index 0000000..82527bd
--- /dev/null
+++ b/testing/php-ssh2/APKBUILD
_at_@ -0,0 +1,33 @@
+# Contributor: Raman Shukhau <roman.shuhov_at_gmail.com>
+# Maintainer: Raman Shukhau <roman.shuhov_at_gmail.com>
+pkgname=php-ssh2
+pkgver=0.12
+pkgrel=0
+pkgdesc="PHP SSH2 extension"
+url="http://pecl.php.net/package/ssh2"
+arch="all"
+license="PHP"
+depends="php"
+depends_dev="php-dev autoconf"
+makedepends="$depends_dev"
+subpackages=""
+source="http://pecl.php.net/get/ssh2-0.12.tgz ssh2.ini"
+
+build() {
+        cd "$srcdir/ssh2-$pkgver"
+        phpize || return 1
+        ./configure || return 1
+        make || return 1
+}
+
+package() {
+        cd "$srcdir/ssh2-$pkgver"
+        make INSTALL_ROOT=$pkgdir install || return 1
+        install -D -m644 "$srcdir"/ssh2.ini "$pkgdir"/etc/php/conf.d/ssh2.ini
+}
+md5sums="409b91678a842bb0ff56f2cf018b9160  ssh2-0.12.tgz
+94d148ee907a13becea363a39e327ef6  ssh2.ini"
+sha256sums="600c82d2393acf3642f19914f06a7afea57ee05cb8c10e8a5510b32188b97f99  ssh2-0.12.tgz
+79f7d1777182b9a2059ad312a668221a4d944eec4fa289c53779d059edbf5ac5  ssh2.ini"
+sha512sums="e48f8051f9234841bb0fc10594dcd90badf2d880d75c4bd59f847e3d4276e9fdd3fe71c1c01c07fb9f552cec470f3dbac6ae1db4d33e5793d3988ea5bac1d5bd  ssh2-0.12.tgz
+f5a03262770f4a65f2f85595b81e20da0f94fcabee2a89557a2a6777fd5d336de9d0b00bb533072338155d30ac521934c356145cb06fbcb1b78c7ed9678809c8  ssh2.ini"
diff --git a/testing/php-ssh2/ssh2.ini b/testing/php-ssh2/ssh2.ini
new file mode 100644
index 0000000..6b14d51
--- /dev/null
+++ b/testing/php-ssh2/ssh2.ini
_at_@ -0,0 +1 @@
+extension=ssh2.so
-- 
2.1.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Sep 05 2015 - 18:31:15 GMT